Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1023)

Issue 14672011: Remove [NoInterfaceObject] extended attribute from several interfaces (Closed)

Created:
7 years, 4 months ago by do-not-use
Modified:
7 years, 4 months ago
CC:
blink-reviews, eae+blinkwatch, mkwst+watchlist_chromium.org, lgombos
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Patch Set 1 #

Patch Set 2 : Rebaseline fast/dom/dom-constructors.html #

Patch Set 3 : Rebaseline several webperf tests #

Patch Set 4 : Update testharness.js and rebaseline 3 webperf tests #

Patch Set 5 : Try to rebase on master #

Patch Set 6 : Another attempt #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2321 lines, -1917 lines) Patch
M LayoutTests/fast/dom/dom-constructors-expected.txt View 1 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/http/tests/w3c/resources/testharness.js View 1 2 3 1 chunk +2233 lines, -1761 lines 0 comments Download
M LayoutTests/http/tests/w3c/webperf/approved/HighResolutionTime/idlharness-expected.txt View 1 2 3 1 chunk +3 lines, -13 lines 0 comments Download
M LayoutTests/http/tests/w3c/webperf/approved/UserTiming/idlharness-expected.txt View 1 2 3 2 chunks +12 lines, -22 lines 0 comments Download
M LayoutTests/http/tests/w3c/webperf/approved/navigation-timing/html/idlharness-expected.txt View 1 2 3 2 chunks +49 lines, -89 lines 0 comments Download
M LayoutTests/webexposed/global-constructors-listing-expected.txt View 1 2 3 4 5 5 chunks +12 lines, -0 lines 0 comments Download
M Source/core/page/DOMSecurityPolicy.idl View 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/page/History.idl View 1 chunk +1 line, -3 lines 0 comments Download
M Source/core/page/Location.idl View 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/page/Navigator.idl View 1 chunk +1 line, -3 lines 0 comments Download
M Source/core/page/Performance.idl View 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/page/PerformanceEntry.idl View 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/page/PerformanceMark.idl View 1 chunk +1 line, -3 lines 0 comments Download
M Source/core/page/PerformanceMeasure.idl View 1 chunk +1 line, -3 lines 0 comments Download
M Source/core/page/PerformanceNavigation.idl View 1 chunk +1 line, -3 lines 0 comments Download
M Source/core/page/PerformanceResourceTiming.idl View 1 chunk +1 line, -3 lines 0 comments Download
M Source/core/page/PerformanceTiming.idl View 1 chunk +1 line, -3 lines 0 comments Download
M Source/core/page/Screen.idl View 1 chunk +1 line, -3 lines 0 comments Download

Messages

Total messages: 22 (0 generated)
do-not-use
7 years, 4 months ago (2013-05-09 08:43:13 UTC) #1
abarth-chromium
How do other browsers behave?
7 years, 4 months ago (2013-05-09 08:48:59 UTC) #2
eseidel
Seems reasonable. Arv is a great reviewer for this sort of thing as he's more ...
7 years, 4 months ago (2013-05-09 08:50:53 UTC) #3
do-not-use
On 2013/05/09 08:50:53, Eric Seidel wrote: > Seems reasonable. Arv is a great reviewer for ...
7 years, 4 months ago (2013-05-09 08:52:53 UTC) #4
do-not-use
On 2013/05/09 08:52:53, Christophe Dumez wrote: > On 2013/05/09 08:50:53, Eric Seidel wrote: > > ...
7 years, 4 months ago (2013-05-09 09:09:17 UTC) #5
do-not-use
Note that this patch made visible a bug in a few webperf layout tests: "stack: ...
7 years, 4 months ago (2013-05-09 11:39:52 UTC) #6
do-not-use
On 2013/05/09 11:39:52, Christophe Dumez wrote: > Note that this patch made visible a bug ...
7 years, 4 months ago (2013-05-09 11:42:18 UTC) #7
arv (Not doing code reviews)
LGTM Do you want to pull in a never version of the test harness? It ...
7 years, 4 months ago (2013-05-09 13:39:00 UTC) #8
do-not-use
On 2013/05/09 13:39:00, arv wrote: > LGTM > > Do you want to pull in ...
7 years, 4 months ago (2013-05-09 13:44:45 UTC) #9
arv (Not doing code reviews)
Either way. Whichever is less work for you. On Thu, May 9, 2013 at 9:44 ...
7 years, 4 months ago (2013-05-09 13:56:54 UTC) #10
do-not-use
Ok, I have updated testharness.js and rebaselined the 3 webperf tests. the output looks much ...
7 years, 4 months ago (2013-05-09 14:54:07 UTC) #11
arv (Not doing code reviews)
LGTM No, don't clean up the test harness. We want it to stay in sync ...
7 years, 4 months ago (2013-05-09 16:56:32 UTC) #12
abarth-chromium
LGTM2
7 years, 4 months ago (2013-05-09 16:58:16 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ch.dumez@sisa.samsung.com/14672011/11001
7 years, 4 months ago (2013-05-09 16:58:23 UTC) #14
commit-bot: I haz the power
Failed to apply patch for LayoutTests/http/tests/w3c/resources/testharness.js: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
7 years, 4 months ago (2013-05-09 16:58:27 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ch.dumez@sisa.samsung.com/14672011/15001
7 years, 4 months ago (2013-05-09 17:03:12 UTC) #16
commit-bot: I haz the power
Failed to apply patch for LayoutTests/http/tests/w3c/resources/testharness.js: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
7 years, 4 months ago (2013-05-09 17:03:15 UTC) #17
do-not-use
I'm not sure what is happening, there is no conflict when rebasing on master here. ...
7 years, 4 months ago (2013-05-09 18:02:38 UTC) #18
abarth-chromium
In testharness.js? We should probably revert the changes to that file.
7 years, 4 months ago (2013-05-09 18:25:18 UTC) #19
do-not-use
On 2013/05/09 18:25:18, abarth wrote: > In testharness.js? We should probably revert the changes to ...
7 years, 4 months ago (2013-05-09 18:31:19 UTC) #20
abarth-chromium
Ok, then let's land the CL manually.
7 years, 4 months ago (2013-05-09 18:32:10 UTC) #21
do-not-use
7 years, 4 months ago (2013-05-09 19:39:13 UTC) #22
Message was sent while issue was closed.
Committed patchset #6 manually as r150042 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698